/**
 * 版权所有 ©2019 莱欧软件有限公司
 * 工程名：SpringMVCLion
 * 文件名：AuthorityDao.java
 * 创建日期：2019年3月5日 上午8:33:39
 * 作者：cpf
 */
package com.lion.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

/**
 * 类描述	权限
 * @author cpf
 * @since 2019年3月5日
 */
@Repository
public class AuthorityDao {
	@Autowired
	private JdbcTemplate jdbc;
	/**
	 * 方法描述 查询角色表
	 * @author cpf
	 * @since 2019年3月5日
	 * @return	
	 */
	public List<Map<String,Object>> getAuthority( ){
		String sql="select * from role where id!=0";
		return jdbc.queryForList(sql);
	}
	/**
	 * 方法描述 查询子节点的菜单
	 * @author cpf
	 * @since 2019年3月5日
	 * @param resourceId
	 * @return	
	 */
	public List<Map<String,Object>> getChildResources(String resourceId){
		String sql="select id,name text,level from resources  where pid = ? ";
		return jdbc.queryForList(sql,new Object[]{resourceId});
	}  
	/**
	 * 方法描述 添加权限
	 * @author cpf
	 * @since 2019年3月5日
	 * @param roleid
	 * @param resourceid
	 * @return	
	 */
	public int addRole_resource(String roleid,String resourceid){
		String sql="insert into role_resources(roleid,resourceid) values(?,?)";
		return jdbc.update(sql,new Object[]{roleid,resourceid});
	}
	/** 
	 * 方法描述 删除权限
	 * @author cpf
	 * @since 2019年3月5日
	 * @param roleid
	 * @return	
	 */
	public int deleteRole_resource(String roleid){
		String sql="delete from role_resources where roleid=?";
		return jdbc.update(sql,new Object[]{roleid});
	}
	/**
	 * 方法描述 点击按钮 回显权限
	 * @author cpf
	 * @since 2019年3月5日
	 * @param roleid
	 * @param resourceid
	 * @return	
	 */
	public List<Map<String,Object>> getAuth(int id){//,int resourceid
		String sql="select resourceid from role_resources r where r.roleid = ?";
		return jdbc.queryForList(sql,new Object[]{id});
	}
}
